/* Code for STAT.C */

#include "../include/robots.h"
#include "../include/graphics.h"
#include "../include/util.h"

#include <stdio.h>

void statistics()
{
	GtkWidget *win,*box,*img;
	GtkWidget *Comment,*Mlabel,*TPlabel,*Tlabel,*Rlabel;
	GtkWidget *button;
	char buffer[4][80];
	
	time(&end);
	cputime=(int)(end-start);
	win = window;
	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title(GTK_WINDOW(window),"Game Statistics"); 
	gtk_window_set_position(GTK_WINDOW(window),GTK_WIN_POS_CENTER);
	g_signal_connect(G_OBJECT(window),"delete_event",G_CALLBACK(myexit),NULL);
	gtk_container_set_border_width(GTK_CONTAINER(window),10);
	box = gtk_vbox_new(FALSE,0);
	gtk_container_add(GTK_CONTAINER(window),box);
	img = gtk_image_new_from_file((FLAG>0)?"images/lose.jpg":"images/win.jpg");
	
	sprintf(buffer[0],"Total moves made by Player : %d",moves);
	sprintf(buffer[1],"Teleports moves of the Player : %d",tpmoves);
	sprintf(buffer[2],"C.P.U. time spent by Player : %d",cputime);
	sprintf(buffer[3],"Result : %s",(FLAG>0)?"Defeated":"Victorious");
	
	Comment = gtk_label_new(error);
	Mlabel = gtk_label_new(buffer[0]);
	TPlabel = gtk_label_new(buffer[1]);
	Tlabel = gtk_label_new(buffer[2]);
	Rlabel = gtk_label_new(buffer[3]);
	gtk_box_pack_start(GTK_BOX(box),img,TRUE,FALSE,0);
	gtk_box_pack_start(GTK_BOX(box),Comment,TRUE,FALSE,20);
	gtk_box_pack_start(GTK_BOX(box),Mlabel,TRUE,FALSE,10);
	gtk_box_pack_start(GTK_BOX(box),TPlabel,TRUE,FALSE,10);
	gtk_box_pack_start(GTK_BOX(box),Tlabel,TRUE,FALSE,10);
	gtk_box_pack_start(GTK_BOX(box),Rlabel,TRUE,FALSE,30);
	gtk_widget_show(img);
	gtk_widget_show(Comment);
	gtk_widget_show(Mlabel);
	gtk_widget_show(TPlabel);
	gtk_widget_show(Tlabel);
	gtk_widget_show(Rlabel);
	
	button = gtk_button_new_with_label("Ok");
	g_signal_connect_swapped(G_OBJECT(button),"clicked",G_CALLBACK(gtk_widget_destroy),G_OBJECT(win));
	g_signal_connect(G_OBJECT(button),"clicked",G_CALLBACK(res),NULL);
	g_signal_connect_swapped(G_OBJECT(button),"clicked",G_CALLBACK(gtk_widget_destroy),G_OBJECT(window));
	gtk_box_pack_start(GTK_BOX(box),button,TRUE,FALSE,0);
	gtk_widget_show(button);
	gtk_widget_show(box);
	gtk_widget_show(window);
}

/* End of STAT.C */	
