/* Code for MAIN.C */

#include "../include/util.h"
#include "../include/graphics.h"
#include "../include/robots.h"

#include <string.h>

int main(int argc, char *argv[])
{
	GtkWidget *box,*image,*load,*rand,*qb;
	gtk_init(&argc,&argv);
	while(1)
	{
		time(&start);
		initialize();
		window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
		gtk_window_set_resizable(GTK_WINDOW(window),FALSE);
		gtk_window_set_title(GTK_WINDOW(window),"i-ROBOT");
		gtk_window_set_position(GTK_WINDOW(window),GTK_WIN_POS_CENTER);
		g_signal_connect(G_OBJECT(window),"delete_event",G_CALLBACK(myexit),NULL);
		gtk_container_set_border_width(GTK_CONTAINER(window),2);
		box = gtk_vbox_new(FALSE,0);
		gtk_container_set_border_width(GTK_CONTAINER(box),2);
		image = gtk_image_new_from_file("images/robot.jpg");
		gtk_box_pack_start(GTK_BOX(box),image,FALSE,FALSE,3);
		load = gtk_button_new_with_label("Load Game from Disk...");
		gtk_box_pack_start(GTK_BOX(box),load,FALSE,FALSE,3);
		g_signal_connect(G_OBJECT(load),"clicked",G_CALLBACK(selectfile),NULL);
		rand = gtk_button_new_with_label("Initialise Randomly...");
		gtk_box_pack_start(GTK_BOX(box),rand,FALSE,FALSE,3);
		g_signal_connect(G_OBJECT(rand),"clicked",G_CALLBACK(selectfile),(gpointer)rand);
		qb = gtk_button_new_with_label("Exit to Console");
		gtk_box_pack_start(GTK_BOX(box),qb,FALSE,FALSE,3);
		g_signal_connect(G_OBJECT(qb),"clicked",G_CALLBACK(quit),NULL);
		gtk_container_add(GTK_CONTAINER(window),box);
		statusbar = gtk_statusbar_new();
		sbcid = gtk_statusbar_get_context_id(GTK_STATUSBAR(statusbar),"First Screen");
		gtk_box_pack_start(GTK_BOX(box),statusbar,FALSE,FALSE,0);
		
		gtk_widget_show(image);
		gtk_widget_show(load);
		gtk_widget_show(rand);
		gtk_widget_show(qb);
		gtk_widget_show(statusbar);
		gtk_widget_show(box);
		gtk_widget_show(window);
		gtk_main();
	
		if(!strcmp(error,"term"))
			break;	
		if(!strcmp(error,"restart"))
		{	
			cleanup();
			continue;
		}
	}
	cleanup();
	return 0;
}
/* End of program */
