/* Code for UTIL.C */

#include "../include/util.h"
#include "../include/robots.h"
#include "../include/graphics.h"

#include <malloc.h>

gint no(GtkWidget *w,GdkEvent *e,gpointer p)
{
	return TRUE;
}

gint myexit(GtkWidget *w,GdkEvent *e,gpointer p)
{
	GtkWidget *win,*yes,*no,*label,*t;
	win = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_position(GTK_WINDOW(win),GTK_WIN_POS_CENTER);
	g_signal_connect(G_OBJECT(win),"delete_event",G_CALLBACK(no),NULL);
	t = gtk_table_new(2,2,FALSE);
	gtk_container_add(GTK_CONTAINER(win),t);
	yes = gtk_button_new_with_label("Yes");
	no = gtk_button_new_with_label("No");
	g_signal_connect(G_OBJECT(yes),"clicked",G_CALLBACK(quit),NULL);
	g_signal_connect(G_OBJECT(no),"clicked",G_CALLBACK(quit),(gpointer)no);
	label = gtk_label_new("Are you sure you want to quit ?");
	g_signal_connect_swapped(G_OBJECT(win),"delete_event",G_CALLBACK(gtk_widget_destroy),G_OBJECT(win));
	g_signal_connect_swapped(G_OBJECT(yes),"clicked",G_CALLBACK(gtk_widget_destroy),G_OBJECT(win));
	g_signal_connect_swapped(G_OBJECT(no),"clicked",G_CALLBACK(gtk_widget_destroy),G_OBJECT(win));
	gtk_table_attach_defaults(GTK_TABLE(t),label,0,2,0,1);
	gtk_table_attach_defaults(GTK_TABLE(t),yes,0,1,1,2);
	gtk_table_attach_defaults(GTK_TABLE(t),no,1,2,1,2);
	gtk_widget_show(label);
	gtk_widget_show(yes);
	gtk_widget_show(no);
	gtk_widget_show(t);
	gtk_widget_show(win);
	return TRUE;
}

void quit(GtkWidget *w,gpointer p)
{
	if(p==NULL)
	{
		error="term";
		gtk_main_quit();
	}
}

/*void file_ok_sel( GtkWidget *w,GtkFileChooser *fs)
{
	if(!load((char*)gtk_file_chooser_get_filename(GTK_FILE_CHOOSER(fs))))
	{
		gtk_statusbar_push(GTK_STATUSBAR(statusbar),sbcid,error);
		return;
	}
	gameplay();
}*/

void selectfile(GtkWidget *w,gpointer p)
{
	GtkWidget *filew;
	char *filename;
	error=NULL;
	if(p!=NULL)
	{
		if(!randinit())
		{
			gtk_statusbar_push(GTK_STATUSBAR(statusbar),sbcid,error);
			return;
		}
		gameplay();
		return;
	}
	filew = gtk_file_chooser_dialog_new ("Open File",
				      (GtkWindow*)window,
				      GTK_FILE_CHOOSER_ACTION_OPEN,
				      GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
				      GTK_STOCK_OPEN, GTK_RESPONSE_ACCEPT,
				      NULL);
	if(gtk_dialog_run(GTK_DIALOG(filew)) == GTK_RESPONSE_ACCEPT)
	{
		filename = gtk_file_chooser_get_filename(GTK_FILE_CHOOSER(filew));
		if(!load(filename))
		{
			gtk_statusbar_push(GTK_STATUSBAR(statusbar),sbcid,error);
			return;
		}
		gameplay();
		g_free(filename);
	}
	gtk_widget_destroy(filew);

/*	filew = gtk_file_chooser_dialog_new("Load game from disk...",(GtkWindow*)window,GTK_FILE_CHOOSER_ACTION_OPEN,
				      GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
				      GTK_STOCK_OPEN, GTK_RESPONSE_ACCEPT,
				      NULL);
	g_signal_connect(G_OBJECT(GTK_FILE_CHOOSER(filew)->ok_button),"clicked",G_CALLBACK(file_ok_sel),(gpointer)filew);
	g_signal_connect_swapped(G_OBJECT(GTK_FILE_CHOOSER(filew)->cancel_button),
                              "clicked",G_CALLBACK(gtk_widget_destroy),
                              G_OBJECT(filew));
	g_signal_connect_swapped(G_OBJECT(GTK_FILE_CHOOSER(filew)->ok_button),
                              "clicked",G_CALLBACK(gtk_widget_destroy),
                              G_OBJECT(filew));
	gtk_widget_show(filew);
*/
}

void res(GtkWidget *w,gpointer p)
{
	if(p==NULL)
	{
		error="restart";
		gtk_widget_destroy(window);
		gtk_main_quit();
	}
}
void restart(GtkWidget *w,gpointer p)
{
	GtkWidget *win,*yes,*no,*label,*t;
        win = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_position(GTK_WINDOW(win),GTK_WIN_POS_CENTER);
        g_signal_connect(G_OBJECT(win),"delete_event",G_CALLBACK(no),NULL);
        t = gtk_table_new(2,2,FALSE);
        gtk_container_add(GTK_CONTAINER(win),t);
        yes = gtk_button_new_with_label("Yes");
        no = gtk_button_new_with_label("No");
        g_signal_connect(G_OBJECT(yes),"clicked",G_CALLBACK(res),NULL);
        g_signal_connect(G_OBJECT(no),"clicked",G_CALLBACK(res),(gpointer)no);
        label = gtk_label_new("Are you sure you abandon this game ? ");
	g_signal_connect_swapped(G_OBJECT(win),"delete_event",G_CALLBACK(gtk_widget_destroy),G_OBJECT(win));
	g_signal_connect_swapped(G_OBJECT(yes),"clicked",G_CALLBACK(gtk_widget_destroy),G_OBJECT(win));
	g_signal_connect_swapped(G_OBJECT(no),"clicked",G_CALLBACK(gtk_widget_destroy),G_OBJECT(win));
        gtk_table_attach_defaults(GTK_TABLE(t),label,0,2,0,1);
        gtk_table_attach_defaults(GTK_TABLE(t),yes,0,1,1,2);
        gtk_table_attach_defaults(GTK_TABLE(t),no,1,2,1,2);
        gtk_widget_show(label);
        gtk_widget_show(yes);
        gtk_widget_show(no);
        gtk_widget_show(t);
        gtk_widget_show(win);
}

void initialize()
{
	int i,j;
	for(i=0;i<BOARDSIZE;i++)
	{
		for(j=0;j<BOARDSIZE;j++)
		{
			board[i][j].code=EMPTY;
			board[i][j].ptr=NULL;
		}
	}
	board[14][14].code=PLAYER;
	player.r=14;
	player.c=14;
	R=0;
	T=0;
	moves=0;
	cputime=0;
	tpmoves=0;
	avaltp=0;
	robcount=0;
	FLAG=0;
	error=NULL;
	table=NULL;
	robot_list=NULL;
#ifdef __TELEPORT
	teleports=NULL;
#else
	for(i=0;i<MAXTPORTS;i++)
	{
		teleports[i].r=-1;
		teleports[j].c=-1;
	}
#endif
}

void cleanup()
{
	pnode *ptr;
	while(robot_list!=NULL)
	{
		ptr=robot_list;
		robot_list=robot_list->next;
		free(ptr);
	}
#ifdef __TELEPORT
	while(teleports!=NULL)
	{
		ptr=teleports;
		teleports=teleports->next;
		free(ptr);
	}
#endif
}

/* end of UTIL.C */

	
